$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.23.4-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.23.4-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '50A7BFBBE2D6FC462C67DCD8EEAC99CE2729FAC7042388690773ED1B88F3327C'
  checksumType = 'sha256'
  checksum64 = '50A7BFBBE2D6FC462C67DCD8EEAC99CE2729FAC7042388690773ED1B88F3327C'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.23.4-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
